keywords: ip pbx voip gateway gsm gateway

×

Notice

The forum is in read only mode.
× Questions about G400/G410 Cards.

Chan_extra 2.0.8 beta

9 years 11 months ago #9789 by ajs_derby
I am trying to get chan_extra 2.0.8 beta to compile with DAHDI 2.7.0+2.7.0 and Certified Asterisk 1.8.15-cert7. Unfortunately, it keeps stopping with the following error message:

===========================================================================
Installing /usr/src/dahdi-linux-complete-2.7.0+2.7.0 ... [ OK ]
===========================================================================

rm -f *.o *.so *.lo *.so.2.0.8 version.c
rm -f libgsmat.a libgsmat.so.2.0.8
rm -f gsmtest gsmdump
rm -f .*.d
gcc -Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g3 -O0 -fPIC -MD -MT gsm.o -MF .gsm.o.d -MP -c -o gsm.o gsm.c


Tue Jun 24 17:28:39 BST 2014 : Checking for bison...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Checking for bison-devel...
Tue Jun 24 17:28:39 BST 2014 : [ FAILURE ]
Tue Jun 24 17:28:39 BST 2014 : Checking for openssl...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Checking for libssl-dev...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Checking for libgnutls-dev...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Checking for zlib1g...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Checking for zlib1g-dev...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Checking for kernel development packages...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Checking for libxml2-dev...
Tue Jun 24 17:28:39 BST 2014 : [ OK ]
Tue Jun 24 17:28:39 BST 2014 : Missing Packages bison-devel
Tue Jun 24 17:28:42 BST 2014 : system version = GNU/Linux
Tue Jun 24 17:28:45 BST 2014 : Looking for dahdi-linux-complete directory in /usr/src ...
Tue Jun 24 17:28:45 BST 2014 : 1 : /usr/src/dahdi-linux-complete-2.7.0+2.7.0
Tue Jun 24 17:28:50 BST 2014 : Please select working dahdi-linux-complete directory [1-1, n, m, d, q]: 1
Tue Jun 24 17:28:50 BST 2014 : Checking dahdi_tool configuration files ...
Tue Jun 24 17:28:50 BST 2014 : [ OK ]
Tue Jun 24 17:28:51 BST 2014 : Checking dahdi_tool patch files ...
Tue Jun 24 17:28:51 BST 2014 : [ OK ]
Tue Jun 24 17:28:53 BST 2014 : Backuping dahdi_tool configuration files ...
Tue Jun 24 17:28:53 BST 2014 : [ OK ]
Tue Jun 24 17:28:54 BST 2014 : Installing OpenVox G400P driver ...
Tue Jun 24 17:28:54 BST 2014 : [ OK ]
/usr/src/dahdi-linux-complete-2.7.0+2.7.0/linux/drivers/dahdi/opvxg4xx/base.c: In function ‘g4_hdlc_tx’:
/usr/src/dahdi-linux-complete-2.7.0+2.7.0/linux/drivers/dahdi/opvxg4xx/base.c:2085:8: warning: unused variable ‘length’ [-Wunused-variable]
/usr/src/dahdi-linux-complete-2.7.0+2.7.0/linux/drivers/dahdi/opvxg4xx/base.c: In function ‘g4_interrupt’:
/usr/src/dahdi-linux-complete-2.7.0+2.7.0/linux/drivers/dahdi/opvxg4xx/base.c:2255:2: warning: ISO C90 forbids mixed declarations and code [-Wdeclaration-after-statement]
/usr/src/dahdi-linux-complete-2.7.0+2.7.0/linux/drivers/dahdi/opvxg4xx/base.c: In function ‘g4_ioctl’:
/usr/src/dahdi-linux-complete-2.7.0+2.7.0/linux/drivers/dahdi/opvxg4xx/base.c:2363:16: warning: unused variable ‘flags’ [-Wunused-variable]
Warning: you may need to install module-init-tools
See http://www.codemonkey.org.uk/docs/post-halloween-2.6.txt
build_tools/genudevrules: 1: build_tools/genudevrules: udevinfo: not found
Tue Jun 24 17:29:14 BST 2014 : Installing /usr/src/dahdi-linux-complete-2.7.0+2.7.0 ...
Tue Jun 24 17:29:14 BST 2014 : [ OK ]
gsm.c: In function ‘gsm_send_at’:
gsm.c:716:6: error: variable ‘res’ set but not used [-Werror=unused-but-set-variable]
gsm.c: In function ‘gsm_transmit’:
gsm.c:777:6: error: variable ‘res’ set but not used [-Werror=unused-but-set-variable]
gsm.c: In function ‘gsm_test_atcommand’:
gsm.c:815:6: error: variable ‘res’ set but not used [-Werror=unused-but-set-variable]
cc1: all warnings being treated as errors
make: *** [gsm.o] Error 1
===========================================================================
Installing OpenVox G400P libgsmat library: make ... [ Failure ]
===========================================================================
root@debian:/usr/src/chan_extra-2.0.8#


I'm sure there is probably an easy way to fix this; it seems to be treating all warnings as errors that is the problem.
9 years 11 months ago #9790 by rick.zhu
Hi,

Can you let me know your kernel version?
Maybe we can contact via Skype,so that i can know more details!My contact info be shown as below:

Email:[email protected]
Skype: rick.zhu3

Best Regards.
9 years 11 months ago #9798 by ajs_derby
Kernel is 3.2.0-4-amd64, from Debian Wheezy installation.

I managed to persuade it to work in the end with Asterisk 11.10.2 and Dahdi 2.7.0+2.7.0. For the benefit of anyone trying to build this in future, here is how I did it::
* Edit /usr/src/chan_extra-2.0.8/src/libgsmat/Makefile
* Duplicate line 33
* Comment out the original line 33 and remove '-Wall ' from the new line 34;
#CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes -g3 -O0 -fPIC $(ALERTING) $(LIBEXTEND_COUNTERS)

CFLAGS=-Werror -Wstrict-prototypes -Wmissing-prototypes -g3 -O0 -fPIC $(ALERTING) $(LIBEXTEND_COUNTERS)
After that, it is still generating warnings, but they are not treated as fatal and it compiles.

I was trying originally to use it with Certified Asterisk 1.8.15-cert7; but chan_extra 2.0.7 requires patching for this Asterisk version and no doubt the bits that will need changing in 2.0.8 beta aren't at the same position as the corresponding bits in 2.0.7. This is not necessarily a complete deal breaker, as I probably will have to upgrade it to Asterisk 11 at some stage anyway.

I will not use Skype until they supply the Source Code. Would you buy a cake without a list of the ingredients on the packet?

i] Last edited by ajs_derby at 2014-6-25 16:26 [/i
9 years 11 months ago #9805 by ajs_derby
I think I have found another problem with the 2.0.8 beta.

If I enter
cli> gsm power off 1
then I get
Power off span 1 sucessed
but if I subsequently enter
cli> gsm show spans
then it shows span 1 as still being powered on, even though "gsm power off 1" fails, "gsm show span 1" includes "Last receive AT: \r\nNORMAL POWER DOWN \r\n\r\n" and "gsm power on 1" produces "Power on span 1 sucessed" (suggesting that it did really power off).

This is using two G400P cards under Asterisk 1.8.28.2 and DAHDI 2.7.0+2.7.0 on Debian Wheezy.
9 years 11 months ago #9808 by rick.zhu
Hi,

Sorry to delay!
Yes,when you power off the span,it will turn on after seconds!

On the other hand,about your suggest we will consider that,maybe we will add this feature in future version!

Best Regards.
Time to create page: 0.043 seconds
Powered by Kunena Forum